import { ConditionUtil, FieldUtil, TableUtilImpl, IdType, SubTable } from 'model-util';
import { WbAdConfig } from '../models/index';
/**
 * @author auto generate
 * @version 1.2
 * @date 2020-12-29 15:31
 */
interface WbAdConfigCU extends ConditionUtil<WbAdConfigCU> {
    AD_ID: FieldUtil<WbAdConfigCU>;
    POSITION: FieldUtil<WbAdConfigCU>;
    CREATE_TIME: FieldUtil<WbAdConfigCU>;
    UPDATE_TIME: FieldUtil<WbAdConfigCU>;
    ID: FieldUtil<WbAdConfigCU>;
}
declare class WbAdConfigMU extends TableUtilImpl<WbAdConfigCU, WbAdConfig> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: SubTable[];
    createConditionUtil(): WbAdConfigCU;
    static get AD_ID(): FieldUtil<WbAdConfigCU>;
    static get POSITION(): FieldUtil<WbAdConfigCU>;
    static get CREATE_TIME(): FieldUtil<WbAdConfigCU>;
    static get UPDATE_TIME(): FieldUtil<WbAdConfigCU>;
    static get ID(): FieldUtil<WbAdConfigCU>;
    get AD_ID(): FieldUtil<WbAdConfigCU>;
    get POSITION(): FieldUtil<WbAdConfigCU>;
    get CREATE_TIME(): FieldUtil<WbAdConfigCU>;
    get UPDATE_TIME(): FieldUtil<WbAdConfigCU>;
    get ID(): FieldUtil<WbAdConfigCU>;
}
export { WbAdConfigMU, WbAdConfigCU };
